=== modified file 'bzrlib/controldir.py'
--- bzrlib/controldir.py	2011-03-12 15:43:16 +0000
+++ bzrlib/controldir.py	2011-03-12 16:55:08 +0000
@@ -613,7 +613,7 @@
         Unsupported formats may not support initialization or committing or
         some other features depending on the reason for not being supported.
         """
-        raise True
+        return True
 
     def check_status(self, allow_unsupported, recommend_upgrade=True,
         basedir=None):

=== modified file 'bzrlib/tests/test_controldir.py'
--- bzrlib/tests/test_controldir.py	2011-03-11 14:14:37 +0000
+++ bzrlib/tests/test_controldir.py	2011-03-12 16:55:08 +0000
@@ -180,3 +180,26 @@
                 break
         else:
             self.fail("No NotBzrDirFormat in %s" % formats)
+
+
+class UnsupportedControlComponentFormat(controldir.ControlComponentFormat):
+
+    def is_supported(self):
+        return False
+
+
+class DefaultControlComponentFormatTests(tests.TestCase):
+    """Tests for default ControlComponentFormat implementation."""
+
+    def test_check_status_unsupported(self):
+        self.assertRaises(errors.UnsupportedFormatError,
+            UnsupportedControlComponentFormat().check_status,
+            allow_unsupported=False)
+        UnsupportedControlComponentFormat().check_status(
+            allow_unsupported=True)
+
+    def test_check_status_supported(self):
+        controldir.ControlComponentFormat().check_status(
+            allow_unsupported=False)
+        controldir.ControlComponentFormat().check_status(
+            allow_unsupported=True)

